/***************************************************************************
                          CallLabel.cpp  -  description
                             -------------------
    begin                : Sat Dec 8 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "CallLabel.h"

CallLabel::CallLabel()
{
	theLabel = new QFrame(0,"Incoming Call",WStyle_Customize | WStyle_NoBorderEx);
	theLabel->setFrameStyle(QFrame::WinPanel | QFrame::Raised);
	theLabel->setLineWidth(3);
	grid = NULL;
	call = NULL;
	QWidget *d = QApplication::desktop();
 	w = d->width();
 	h = d->height();
	this->setFont();
}

CallLabel::~CallLabel()
{
	delete(theTimer);
	delete(theLabel);
}

void CallLabel::show()
{
	KSimpleConfig *config = new KSimpleConfig("TrayImonc");
	int ttimer = config->readNumEntry("CallNotificationTime",5000);
	KWin::setState(theLabel->winId() ,NET::StaysOnTop | NET::SkipTaskbar);
	theLabel->show();
 	theTimer = new QTimer();
	QObject::connect(theTimer,SIGNAL(timeout()),this,SLOT(close()));
	theTimer->start(ttimer,true);	
}

void CallLabel::setText(QString text)
{
	int height,width;
	
	KSimpleConfig *config = new KSimpleConfig("TrayImonc");
	if(!theLabel->isVisible())
	{
		call = new QLabel(theLabel);
		grid = new QGridLayout(theLabel,2,1);
		call->setText(text);
		call->setFont(callFont);
		call->adjustSize();
		call->setAlignment(Qt::AlignCenter);
		grid->addWidget(call,0,0,Qt::AlignCenter);
		height = call->height()+20;
		width = call->width()+20;
		if (config->readBoolEntry("CallButton",false))
		{
			close_button = new QPushButton(i18n("&Close"),theLabel);
			connect(close_button,SIGNAL(clicked()),this,SLOT(close()));
			height = height+close_button->height()+10;
			grid->addWidget(close_button,1,0,Qt::AlignCenter);
		}
		theLabel->setGeometry(w/2-(width)/2,h/2-(height)/2,width,height);			
	}
}

void CallLabel::close()
{
	theLabel->close();
	delete(grid);
	delete(call);
	grid = NULL;
	call = NULL;
}

void CallLabel::setFont()
{
	KSimpleConfig *config = new KSimpleConfig("TrayImonc");
	QFont *defaultFont = new QFont("Helvetica",14);
	callFont = config->readFontEntry("CallFont", defaultFont);
}
