//
// C++ Interface: ConnTab
//
// Description: 
//
//
// Author: Thomas Bosch <tbosch@gmx.de>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CONNTAB_H
#define CONNTAB_H

#include <qframe.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qstring.h>
#include <qlayout.h>
#include <klocale.h>
#include <ksimpleconfig.h>
#include "Table.h"
/**
@author Thomas Bosch
*/
class ConnTab : public QFrame
{
	Q_OBJECT
	public:
		ConnTab(QWidget *parent);
		~ConnTab();
		void setSize(int,int);
		void addRow(QString,QString,QString,QString,QString,QString,QString,QString,QString,QString,QString,QString,QString,QString,QString);
		void clear();
		void writeLogFile(QStringList, QString);
		void setConnections(QStringList);

	private:
		QString fileNameCSV;
		QVBoxLayout *askLayout;
		QSpacerItem *spacer1;
		QSpacerItem *spacer2;
		QHBoxLayout *layout;
		QPushButton *yesButton;
		QPushButton *noButton;
		QLabel *label;
		QDialog *ask;
		QTable *table;
		QGridLayout *grid;
		QGridLayout *buttonGrid;
		QFrame *buttons;
		QButton *exportButton;
		QHeader *col;
		QStringList connections;
		QStringList convertCSV(QStringList);
		void writeFile(QStringList, QString);
		
	private slots:
		void exportCSV();
		void overwrite();
		void askHide();
};

#endif
