/***************************************************************************
                          DynamicToolTip.cpp  -  description
                             -------------------
    begin                : Sat Nov 17 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "DynamicToolTipp.h"
#include <iostream.h>

DynamicToolTipp::DynamicToolTipp(QWidget *parent)
{
	this->parent = parent;
	group = new QToolTipGroup(parent);
	isVisible = false;
	
	connect(group,SIGNAL(showTip(const QString&)),SLOT(isShown()));
	connect(group,SIGNAL(removeTip()),SLOT(isHidden()));
	
	buffer = "";
}

DynamicToolTipp::~DynamicToolTipp()
{

}

void DynamicToolTipp::setText(QString text)
{
	if(!isVisible)
	{
		QToolTip::remove(parent);
		QToolTip::add(parent,text,group,"TrayImonc");
		if(!buffer.isEmpty())
			buffer = "";
	}
	else
		buffer = text;		
}

void DynamicToolTipp::isShown()
{
	isVisible = true;
}

void DynamicToolTipp::isHidden()
{
	isVisible = false;
	if(!buffer.isEmpty())
	{
		QToolTip::remove(parent);
		QToolTip::add(parent,buffer,group,"TrayImonc");	
		buffer = "";
	}
}
