/***************************************************************************
                          Menu.h  -  description
                             -------------------
    begin                : Sun Oct 21 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MENU_H_
#define MENU_H_

#include <kpopupmenu.h>
#include <qpoint.h>
#include <qstring.h>
#include <qarray.h>
#include <ksimpleconfig.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qhbox.h>
#include <qpushbutton.h>
#include <qmessagebox.h>
#include <kiconloader.h>
#include <klocale.h>
#include <kcmdlineargs.h>

class Menu: public KPopupMenu
{
	Q_OBJECT
	
	public:
		Menu(QWidget *parent);
		~Menu();
		
	private:
		QPopupMenu *default_circuit;
		bool showtraffic;
		bool showcalls;
		KSimpleConfig *config;
		QDialog *dialog;
		
	private slots:
		void showSlot(QPoint);
		void addCircuit(QString);
		void setDefaultRoute(int);
		void dialed();
		void isdnDialed();
		void hangup();
		void isdnHangup();
		void addedLink();
		void removedLink();
		void changedDialMode(int);
		void dialAuto();
		void dialManual();
		void dialOff();
		void show_calls();
 		void traffic_info();
 		void connected();
 		void reboot();
 		void halt();
 		void doReboot();
 		void doHalt();
 		void dialogCancel();
 		void noISDN();
 		
	signals:
		void dial();
 		void addlink();
 		void check_mail();
 		void about();
 		void setDefaultCircuit(int);
 		void exitSig();
 		void dialMode(QString);
 		void show_calls(bool);
 		void trafficinfo(bool);
 		void rebootSig();
 		void haltSig();
 		void options();
 		void help();
 		void showState();
};

#endif
