/***************************************************************************
                          Monitor.h  -  description
                             -------------------
    begin                : Thu Dec 13 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MONITOR_H
#define MONITOR_H

#include <qframe.h>
#include <qapplication.h>
#include <qrect.h>
#include <kpopupmenu.h>
#include <dcopclient.h>
#include <qlayout.h>
#include <qhbox.h>
#include <klocale.h>
#include <kiconloader.h>
#include <ksimpleconfig.h>
#include <kwin.h>
#include "Oszi.h"
#include "Rate.h"


class Monitor : public QFrame
{
	Q_OBJECT
	
	public:
		Monitor();
		~Monitor();
		
		virtual void show();
	
	protected:
		virtual void closeEvent(QCloseEvent*);
		
	private slots:
		void onTop();
		void OnAllDesktops();
		void closeMonitor();
		void setRate(int,int);
		void rightclicked(QPoint);
		void savePosition();
		void changeColors(QColor,QColor);
		void showFrame();
		void moveWidget(int,int);
		void wantToMove(int,int);
		void moveReady();
	
	private:
		Oszi *oszi;
		Rate *dRate;
		Rate *uRate;
		QVBoxLayout *vbox;	
		QHBox	*hbox;
		QPopupMenu *menu;
		bool OnTop;
		bool OnAll;
		bool frame;
		QFrame *mainFrame;
		int position;
		int kickerSize;
		QColor inColor;
		QColor outColor;
		int diffX;
		int diffY;
		
	signals:
		void closeTheMonitor();
		void options();
		void hangup();
		
};

#endif
