/***************************************************************************
                          NoConn.cpp  -  description
                             -------------------
    begin                : Thu Oct 25 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "NoConn.h"


NoConn::NoConn()
{
	setPixmap(KGlobal::iconLoader()->loadIcon("isdn_not_connected.png",KIcon::Small));
	menu = new KPopupMenu(this);
	menu->insertTitle(SmallIcon("trayimonc"),"TrayImonc");
	menu->insertItem(SmallIcon("fli4l_trayimonc"),i18n("Connect to Router"),this,SIGNAL(connectSig()),0,0,-1);
	menu->insertItem(SmallIcon("configure"),i18n("Options"),this,SIGNAL(options()),0,2,-1);
	menu->insertSeparator(2);
	menu->insertItem(SmallIcon("help"),i18n("Help"),this,SIGNAL(help()),0,3,-1);
 	menu->insertItem(SmallIcon("trayimonc"),i18n("About TrayImonc"),this,SIGNAL(about()),0,4,-1);
 	menu->insertSeparator(6);
	menu->insertItem(SmallIcon("exit"),i18n("Exit"),this,SIGNAL(exitSig()),0,1,-1);
 	menu->adjustSize();
 	QToolTip::add(this,i18n("TrayImonc -- Not Connected"));
	reconnectTimer = new QTimer(this);
	connect(reconnectTimer,SIGNAL(timeout()),this,SLOT(reconnectSig()));
	reconnectTimer->start(10000, true);
}

NoConn::~NoConn()
{

}

void NoConn::mouseDoubleClickEvent(QMouseEvent *e)
{
  if(e->button() == LeftButton)
  {
    emit connectSig();
  }
}

void NoConn::mousePressEvent(QMouseEvent *e)
{
	if(e->button() == RightButton)
	{
  	menu->exec(mapToGlobal(e->pos()));
	}
}

void NoConn::reconnectSig()
{
  emit connectSig();
}
