/***************************************************************************
                          NoConn.h  -  description
                             -------------------
    begin                : Thu Oct 25 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NOCONN_H_
#define NOCONN_H_

#include <qlabel.h>
#include <qpixmap.h>
#include <kpopupmenu.h>
#include <qtooltip.h>
#include <kiconloader.h>
#include <ksystemtray.h>
#include <klocale.h>
#include <qtimer.h>

class NoConn : public KSystemTray
{
	Q_OBJECT
	
	public:
		NoConn();
		~NoConn();
		
	private:
		KPopupMenu *menu;
		QTimer *reconnectTimer;
		
	private slots:
		void reconnectSig();
		
	signals:
		void connectSig();
		void exitSig();
		void options();
		void about();
		void help();
		void doubleclick();
		
	
	protected:
		void mouseDoubleClickEvent(QMouseEvent *e);
		void mousePressEvent (QMouseEvent*);
		
};

#endif
