/***************************************************************************
                          OptionsDialog.h  -  description
                             -------------------
    begin                : Fri Jan 25 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPTIONSDIALOG_H_
#define OPTIONSDIALOG_H_

#include <qdialog.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qwidgetstack.h>
#include <qhbox.h>
#include <qtabbar.h>
#include <qframe.h>
#include <klocale.h>
#include <ksimpleconfig.h>
#include <kcolordialog.h>
#include <qfontdialog.h>
#include <qspinbox.h>

class OptionsDialog:public QDialog
{
	Q_OBJECT
	
	public:
		OptionsDialog(bool);
		~OptionsDialog();

	private slots:
		void OptionsCancel();
		void OptionsOK();
		void chooseInColor();
 		void chooseOutColor();
 		void tabSelected(int);
		void fontSelected();
		// savelog
		void enableDisable(int);
		// <--
		
	private:
		QLineEdit *serveredit;
		QLineEdit *portedit;
		QLineEdit *telportedit;
		QLineEdit *passedit;
		QButton *fontbutton;
		QFont callfont;
		QString fontname;
		QCheckBox *showtraffic;
		QCheckBox *ontop;
		QCheckBox *allDesktops;
		QCheckBox *showFrame;
		QCheckBox *statusBox;
		QCheckBox *callbuttonBox;

		// savelog
		QCheckBox *logBox;
		QLabel *logLabel;
		QLineEdit *logEdit;
		// <--

		QButton *inColorButton;
		QButton *outColorButton;
		QHBox *buttons;
		QButton *ok;
		QButton *cancel;
		QColor inColor;
		QColor outColor;
		QWidgetStack *stack;
		QFrame *allg;
		QFrame *traffic;
		QFrame *status;
		QFrame *calls;
		QFrame *menu;
		QFrame *buttonFrame;
		QTabBar *tabBar;
		QTab *allgTab;
		QTab *statusTab;
		QTab *trafficTab;
		QTab *menuTab;
		QGridLayout *grid;
		QGridLayout *allggrid;
		QGridLayout *menugrid;
		QLabel *serverlabel;
		QLabel *portlabel;
		QLabel *telportlabel;
		QLabel *passlabel;
		QLabel *fontlabel;
		QLabel *calltimelabel;
		QLabel *callbuttonlabel;
		QSpinBox *calltimespinbox;
		QLabel *menuLabel;
		QCheckBox *statebox;
		QCheckBox *routebox;
		QCheckBox *dialbox;
		QCheckBox *addlinkbox;
		QCheckBox *rebootbox;
		QCheckBox *autobox;
		QCheckBox *manualbox;
		QCheckBox *offbox;
		QCheckBox *checkmailbox;
		QCheckBox *showcallsbox;
		QCheckBox *trafficmonitorbox;
		QCheckBox *optionsbox;
		QCheckBox *helpbox;
		QCheckBox *exitbox;

		QGridLayout *trafficgrid;
		QFrame *colorFrame;
		QGridLayout *colorLayout;
		QLabel *inColorLabel;
		QLabel *outColorLabel;
		QGridLayout *buttonGrid;
		QGridLayout *statusgrid;
		
	signals:
		void TrafficInfo();
		void OnTop();
		void OnAllDesktops();
		void ShowFrame();
		void changeColors(QColor,QColor);
		void updateFont();
		void updateMenu();
};

#endif
