/***************************************************************************
                          Oszi.h  -  description
                             -------------------
    begin                : Sun Dec 16 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OSZI_H
#define OSZI_H

#include <qwidget.h>
#include <qpainter.h>
#include <qevent.h>
#include <qtimer.h>
#include <qtextstream.h>
#include <kcursor.h>
//#include <stream.h>

class Elem
{
	public:
		Elem(int,Elem*);
		~Elem();
		Elem *next;
		int wert;
};

//Klasse fr eine Queue
//sie speichert eine Bestimmte Anzahl von Werten
//die Queue hat dabei immer eine feste Gre
class Queue
{
	public:
		Queue(int);
		~Queue();
		void enqueue(int);
		int elementAt(int);
		int size();
		int largest();
		
	private:
		Elem *first;
		Elem *last;
		int theSize;
		int theLargest;
		void findLargest();
};

//Klasse zur grafischen Darstellung des Durchsatzes
//es werden 2 Graphen dargestellt
class Oszi: public QWidget
{
	Q_OBJECT
	
	public:
		Oszi(QWidget*);
		//Oszi(QWidget*,const Oszi&);
		~Oszi();	
		void paintRate(int,int);
		void setColors(QColor,QColor);
		
	protected:
		void paintEvent(QPaintEvent*);
		void mousePressEvent(QMouseEvent*);
		void mouseReleaseEvent(QMouseEvent*);
		void mouseMoveEvent(QMouseEvent*);
		
	private:
		QPainter *p;
		Queue *in;	
		Queue *out;
		QColor inColor;
		QColor outColor;
		
	signals:
		void rightclicked(QPoint);
		void moveWidget(int,int);
		void wantToMove(int,int);
		void moveReady();
};

#endif
