/***************************************************************************
                          Rate.cpp  -  description
                             -------------------
    begin                : Sun Dec 16 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "Rate.h"

Rate::Rate(QWidget *parent,QColor color, QString prefix, QString unit):QWidget(parent)
{
	setMaximumSize(65,20);
	setMinimumSize(65,20);
	
	this->color= color;
	this->prefix=prefix;
	this->unit=unit;
	theRate = "0.0";
	p = new QPainter(this);
	p->setFont(QFont("helvetica",8));
}

Rate::~Rate()
{
	delete(p);
}

void Rate::paintEvent(QPaintEvent *event)
{
	QWidget::paintEvent(event);
	p->setPen(QPen(color,1));
	p->fillRect(0,0,65,20,black);

  QString str;
  QTextStream ts( &str, IO_WriteOnly );
  ts << prefix << " " << theRate << unit;
  p->drawText(0,14,str);
}

void Rate::setRate(QString theRate)
{
	this->theRate = theRate;
  p->fillRect(0,0,65,20,black);
  QString str;
  QTextStream ts( &str, IO_WriteOnly );
  ts << prefix << " " << theRate << unit;
  p->drawText(0,14,str);

}

void Rate::mousePressEvent (QMouseEvent* e)
{
	if(e->button() == RightButton)
	{
		emit rightclicked(e->globalPos());
	}
	else if(e->button() == LeftButton)
	{
 		emit(wantToMove(e->globalX(),e->globalY()));
	}
}

void Rate::mouseReleaseEvent(QMouseEvent* e)
{
	if(e->button() == LeftButton)
	{
 		emit(moveReady());
 	}
} 	

void Rate::mouseMoveEvent(QMouseEvent* e)
{
	emit moveWidget(e->globalX(),e->globalY());
}


void Rate::setColor(QColor color)
{
 	this->color = color;
 	repaint();
}
