/***************************************************************************
                          Router.h  -  description
                             -------------------
    begin                : Fri Oct 19 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ROUTER_H_
#define ROUTER_H_

#include <qobject.h>
#include <qstring.h>
#include <qtextstream.h>
#include <qtimer.h>
#include <qinputdialog.h>
#include <ksimpleconfig.h>
#include <klocale.h>
#include "Fli4lTalk.h"


class Router : public QObject
{
	Q_OBJECT
	
	public:
		Router();
		~Router();
		void connectToRouter();
		
	private:
		Fli4lTalk *talk;
		QTimer *controlTimer;
		bool DSL;
		bool DSLonline;
		bool DSLtraffic;
		bool ISDN;
		bool ISDNone;
		bool ISDNtwo;
		bool ISDNonetraffic;
		bool ISDNtwotraffic;
		bool parseRate(QString);
		bool mReboot;
		bool mHalt;
		bool mReset;
		bool reConnect;
		QString dialMode;
		KSimpleConfig *config;
		int route;
		int aktIn;
		int aktOut;
		QString DSLname;
		QString ISDNname;
		QTimer *connectionTimer;
		
	private slots:
		void connectedSlot();
		void disconnectedSlot();
		void errorSlot();
		void controlSlot();
		void default_dial();
		void setDefaultRoute(int);
		void addLink();
		void setDialMode(QString);
		void reboot();
		void halt();
		void resetTelmond();
		
	signals:
		void connectToHost(QString,int);
		void connectedSig(int,QString);
		void disconnectedSig();
		void couldnotconnect();
		void changeIcon(int);
		void dsloffline();
		void isdnoffline();
		void isdntwooffline();
		void addCircuit(QString);
		void setDefaultCircuit(int);
		void dialed();
		void isdndialed();
		void link_added();
		void autodial();
		void manualdial();
		void offdial();
		void noISDN();
		void setToolTip(QString);
		void setRate(int,int);
};

#endif
