/***************************************************************************
                          State.h  -  description
                             -------------------
    begin                : Tue Jan 15 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef STATE_H_
#define STATE_H_

#include <qtimer.h>
#include <qwidget.h>
#include <qtabbar.h>
#include <qtable.h>
#include <qlayout.h>
#include <qwidgetstack.h>
#include <klocale.h>
#include <ksimpleconfig.h>
#include <kwin.h>
#include <qstringlist.h>
#include "StatusTab.h"
#include "CallTab.h"
#include "ConnTab.h"
#include "Fli4lTalk.h"

class State : public QWidget
{
	Q_OBJECT

	public:
		State();
		~State();
		
	private:
		QGridLayout *grid;
		QTabBar *tabBar;
		QTab *status;
		QTab *callTab;
		QTab *connTab;
		StatusTab *statusTab;
		CallTab *callTable;
		ConnTab *connTable;
		QWidgetStack *stack;
		QString* kanaele;
		int channelCount;
		QTimer *theTimer;
		Fli4lTalk *talk;
		QString passwd;
		
	private slots:
		void doConnect(int,QString);
		void connectedSlot();
		void disconnectedSlot();
		void controlSlot();
		void addRow(QString,QString,QString,QString,QString);
		void tabSelected(int);
		void dialAuto();
		void dialManual();
		void dialOff();
		void addCircuit(QString);
		void setDefaultRoute(int);
		void showState();
		void setLastCall(QString,QString,QString,QString,QString);
		void getTelmondLog();

		// savelog
		void getImondLog();
		// <--
	
	signals:
		void connectToHost(QString,int);
		void reset();
		void dialMode(QString);
		void setDefaultCircuit(int);
		void updatePhoneBook();
};

#endif
