/***************************************************************************
                          StatusTab.h  -  description
                             -------------------
    begin                : Sun Jan 20 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STATUSTAB_H_
#define STATUSTAB_H_

#include <qframe.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qpixmap.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qtextstream.h>
#include <klocale.h>
#include <kiconloader.h>
#include "Table.h"

class StatusTab: public QFrame
{
	Q_OBJECT
	
	public:
		StatusTab(QWidget*);
		~StatusTab();
		
		void setDate(QString);
		void setCPU(QString);
		void setUptime(QString);
		void setCall(QString,QString,QString,QString,QString);
		void setDialMode(int);
		void addCircuit(QString);
		void setDefaultRoute(int);
		void setCircuit(int,QString);
		void setDirection(int,QString);
		void setIP(int,QString);
		void setRate(int,QString);
		void setATime(int,QString);
		void setOTime(int,QString);
		void setCharge(int,QString);
		
	private:
		QGridLayout *grid;
		QGroupBox *dateTime;
		QGroupBox *cpu;
		QGroupBox *up;
		QGroupBox *channels;
		QGroupBox *route;
		QButtonGroup *mode;
		Table *channelTable;
		QLabel *theDate;
		QLabel *theCPU;
		QLabel *theUptime;
		QLabel *lastCall;
		QComboBox *box;
		QHeader *col;
		QRadioButton *dialAuto;
 		QRadioButton *manual;
	 	QRadioButton *off;
	 	QFrame *routeFrame;
 		QGridLayout *routeGrid;
	 	QLabel *defLabel;
	 	QLabel *callLabel;
	 	QString* channelState;
	 	QPixmap pix1;
 		QPixmap pix2;
		
	private slots:
		void changedDialMode(int);
		
	signals:
		void dialMode(QString);
		void setDefaultCircuit(int);
};

#endif
