/***************************************************************************
                          TrayIcon.cpp  -  description
                             -------------------
    begin                : Son Apr 14 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "TrayIcon.h"

TrayIcon::TrayIcon()
{
  dsloff = KGlobal::iconLoader()->loadIcon("dsl_offline.png",KIcon::Small);
  dslon = KGlobal::iconLoader()->loadIcon("dsl_online.png",KIcon::Small);
  dsltr = KGlobal::iconLoader()->loadIcon("dsl_traffic.png",KIcon::Small);
  isdnoffoff = KGlobal::iconLoader()->loadIcon("isdn_offline.png",KIcon::Small);
  isdnonoff = KGlobal::iconLoader()->loadIcon("isdn_online_offline.png",KIcon::Small);
  isdntroff = KGlobal::iconLoader()->loadIcon("isdn_traffic_offline.png",KIcon::Small);
  isdnonon = KGlobal::iconLoader()->loadIcon("isdn_online_online.png",KIcon::Small);
  isdntron = KGlobal::iconLoader()->loadIcon("isdn_traffic_online.png",KIcon::Small);
  isdntrtr = KGlobal::iconLoader()->loadIcon("isdn_traffic_traffic.png",KIcon::Small);
  isdnontr = KGlobal::iconLoader()->loadIcon("isdn_online_traffic.png",KIcon::Small);
  offoffoff = KGlobal::iconLoader()->loadIcon("all_offline.png",KIcon::Small);
  onoffoff = KGlobal::iconLoader()->loadIcon("all_online_offline_offline.png",KIcon::Small);
  troffoff = KGlobal::iconLoader()->loadIcon("all_traffic_offline_offline.png",KIcon::Small);
  offonoff = KGlobal::iconLoader()->loadIcon("all_offline_online_offline.png",KIcon::Small);
  offtroff = KGlobal::iconLoader()->loadIcon("all_offline_traffic_offline.png",KIcon::Small);
  offonon = KGlobal::iconLoader()->loadIcon("all_offline_online_online.png",KIcon::Small);
  offtron = KGlobal::iconLoader()->loadIcon("all_offline_traffic_online.png",KIcon::Small);
  offtrtr = KGlobal::iconLoader()->loadIcon("all_offline_traffic_traffic.png",KIcon::Small);
  offontr = KGlobal::iconLoader()->loadIcon("all_offline_online_traffic.png",KIcon::Small);

  setPixmap(offoffoff);

	tooltipp = new DynamicToolTipp(this);
	tooltipp->setText("Offline");
  aktState = 0;
}

TrayIcon::~TrayIcon()
{

}

void TrayIcon::changeIcon(int conf)
{
  if(aktState != conf)
  switch(conf)
  {
       case 11:
               setPixmap(isdnoffoff);
               break;
       case 21:
               setPixmap(isdnonoff);
               break;
       case 22:
               setPixmap(isdnonon);
               break;
       case 23:
               setPixmap(isdnontr);
               break;
       case 31:
               setPixmap(isdntroff);
               break;
       case 32:
               setPixmap(isdntron);
               break;
       case 33:
               setPixmap(isdntrtr);
               break;
       case 100:
               setPixmap(dsloff);
               break;
       case 111:
               setPixmap(offoffoff);
               break;
       case 121:
               setPixmap(offonoff);
               break;
       case 122:
               setPixmap(offonon);
               break;
       case 123:
               setPixmap(offontr);
               break;
       case 131:
               setPixmap(offtroff);
               break;
       case 132:
               setPixmap(offtron);
               break;
       case 133:
               setPixmap(offtrtr);
               break;
       case 200:
               setPixmap(dslon);
               break;
       case 211:
               setPixmap(onoffoff);
               break;
       case 300:
               setPixmap(dsltr);
               break;
       case 311:
               setPixmap(troffoff);
               break;
  }

  aktState = conf;
}

void TrayIcon::mouseDoubleClickEvent(QMouseEvent *e)
{
	if(e->button() == LeftButton)
	{
		emit doubleclick();
	}
}

void TrayIcon::mousePressEvent(QMouseEvent *e)
{
	if(e->button() == RightButton)
	{
  	emit rightclick(e->globalPos());
	}
}

void TrayIcon::setToolTip(QString tooltip)
{
   tooltipp->setText(tooltip);		
}

