/***************************************************************************
                          TrayIcon.h  -  description
                             -------------------
    begin                : Son Apr 14 2002
    copyright            : (C) 2002 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRAYICON_H_
#define TRAYICON_H_

#include <qlabel.h>
#include <qpixmap.h>
#include <qtextstream.h>
#include <ksystemtray.h>
#include <kiconloader.h>
#include "DynamicToolTipp.h"

class TrayIcon:public KSystemTray
{
	Q_OBJECT
	
	public:
		TrayIcon();
		~TrayIcon();

	protected:
		void mouseDoubleClickEvent(QMouseEvent*);
		void mousePressEvent (QMouseEvent*);
		
	private:
		QPixmap offoffoff;
		QPixmap onoffoff;
		QPixmap troffoff;
    QPixmap offonoff;
    QPixmap offtroff;
    QPixmap offonon;
    QPixmap offtron;
    QPixmap offtrtr;
    QPixmap offontr;
    QPixmap dsloff;
    QPixmap dslon;
    QPixmap dsltr;
    QPixmap isdnoffoff;
    QPixmap isdnonoff;
    QPixmap isdntroff;
    QPixmap isdnonon;
    QPixmap isdntron;
    QPixmap isdntrtr;
    QPixmap isdnontr;
		DynamicToolTipp *tooltipp;
    int aktState;
		
	private slots:
		void changeIcon(int);
		void setToolTip(QString);
		
	signals:
		void doubleclick();
		void rightclick(QPoint);
};

#endif
