/***************************************************************************
                          TrayShell.h  -  description
                             -------------------
    begin                : Thu Oct 18 2001
    copyright            : (C) 2001 by Robert Nitschke
    email                : trayimonc@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRAYSHELL_H_
#define TRAYSHELL_H_

#include <iostream.h>
#include <qwidget.h>
#include <qtimer.h>
#include <qstring.h>
#include <kwin.h>
#include <kaboutapplication.h>
#include <ksimpleconfig.h>
#include <klocale.h>
//#include "ISDNtray.h"
//#include "DSLtray.h"
#include "TrayIcon.h"
#include "Router.h"
#include "Menu.h"
#include "calls.h"
#include "NoConn.h"
#include "Monitor.h"
#include "State.h"
#include "OptionsDialog.h"

class TrayShell:public QWidget
{
Q_OBJECT

public:
	TrayShell();
	~TrayShell();
	
	Router *router;
	virtual void show();
	
private:
	//DSLtray *dsl;
	//ISDNtray *isdn;
  TrayIcon *tray;
	Menu *menu;
	Calls *calls;
	NoConn *no_conn;
	Monitor *monitor;
	void init();
	bool showTraffic;
	QLineEdit *serveredit;
	QLineEdit *portedit;
	QLineEdit *passedit;
	QCheckBox *showtraffic;
	QCheckBox *ontop;
	QCheckBox *allDesktops;
	QCheckBox *showFrame;
	bool online;
	State *state;
	KAboutApplication *aboutApp;
	//OptionsDialog *optionDialog;
	
private	slots:
	void connectedSlot(int);
	void disconnectedSlot();
	void couldnotconnectSlot();
	void exitApp();
	void about();
	void help();
	void connectApp();
	void options();
 	void trafficmonitor(bool);
 	void isOnline();
 	void isOffline();
	void createMenu();
 	
	
signals:
  	void offline();
  	void onlineone();
  	void onlinetwo();
  	void quit();
  	void changeColors(QColor,QColor);
};

#endif
